%global debug_package %{nil}
%global pypi_name     websockets
%global gituser       python-websockets

Name:           python-%{pypi_name}
Version:        14.1
Release:        1%{?dist}
Summary:        Implementation of the WebSocket Protocol for Python
License:        BSD
URL:            https://github.com/%{gituser}/%{pypi_name}
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  %{py3_dist pytest}

%global _description %{expand:
Websockets is a library for developing WebSocket servers and clients in
Python. It implements RFC 6455 with a focus on correctness and simplicity.
It passes the Autobahn Testsuite.

Built on top of Python’s asynchronous I/O support introduced in PEP 3156,
it provides an API based on coroutines, making it easy to write highly
concurrent applications.}

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pyproject_check_import

# Skip some tests that require network connectivity and/or a running daemon.
%pytest -v --ignore compliance --ignore tests/sync -k "not test_explicit_host_port and not test_server_shuts_down"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%changelog
* Sun Nov 24 2024 samoht0 <https://copr.fedorainfracloud.org/coprs/samoht0/> 14.1
- update 14.1
- spec and history cleanup
